> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザーの日次消費量を取得

> 特定ユーザーの 1 日ごとの ACU 消費量を取得します。

ユーザーごとの ACU の合計値と、日別に分解された消費量を返します。

**タイムゾーンの動作**: 課金サイクルでは、1 日の境界として PST（Pacific Standard Time）の午前 0 時が使用されます。これは UTC の 08:00:00 に相当します。Devin ダッシュボード上に表示される消費データと一致させるには、このタイムゾーンのオフセットを考慮した Unix タイムスタンプを指定してください（例: 2025 年 12 月 5 日の PST 午前 0 時は 1733385600）。

<div id="product-level-breakdown">
  ## プロダクト別の内訳
</div>

レスポンス内の各日付エントリには、合計 ACU 消費量をプロダクト別（`devin`、`cascade`、`terminal`）に内訳した `acus_by_product` オブジェクトが含まれます。これにより、各日におけるプロダクト別の消費状況を確認できます。特定のプロダクトについてプロダクトレベルのデータが利用できない場合、そのプロダクトの値はデフォルトで `0.0` になります。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountConsumption` 権限を付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/consumption/daily/users/{user_id}
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/consumption/daily/users/{user_id}:
    get:
      tags:
        - consumption
      summary: ユーザーの日次消費量を取得
      description: >-
        特定ユーザーの 1 日ごとの ACU 消費量を取得します。


        ユーザーごとの ACU の合計値と、日別に分解された消費量を返します。


        **タイムゾーンの動作**: 課金サイクルでは、1 日の境界として PST（Pacific Standard Time）の午前 0
        時が使用されます。これは UTC の 08:00:00 に相当します。Devin
        ダッシュボード上に表示される消費データと一致させるには、このタイムゾーンのオフセットを考慮した Unix タイムスタンプを指定してください（例:
        2025 年 12 月 5 日の PST 午前 0 時は 1733385600）。
      operationId: >-
        handle_get_user_consumption_daily_v3_enterprise_consumption_daily_users__user_id__get
      parameters:
        - description: ユーザー ID
          in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: time_before
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time Before
        - in: query
          name: time_after
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Time After
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionResponse'
          description: 成功時のレスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 未認証
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセス禁止
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    ConsumptionResponse:
      properties:
        consumption_by_date:
          items:
            $ref: '#/components/schemas/ConsumptionByDateResponse'
          title: Consumption By Date
          type: array
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
      title: ConsumptionResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    ConsumptionByDateResponse:
      properties:
        acus:
          title: Acus
          type: number
        acus_by_product:
          $ref: '#/components/schemas/AcusByProduct'
        date:
          title: Date
          type: integer
      required:
        - date
        - acus
        - acus_by_product
      title: ConsumptionByDateResponse
      type: object
    AcusByProduct:
      properties:
        cascade:
          title: Cascade
          type: number
        devin:
          title: Devin
          type: number
        review:
          anyOf:
            - type: number
            - type: 'null'
          title: Review
        terminal:
          title: Terminal
          type: number
      required:
        - devin
        - cascade
        - terminal
      title: AcusByProduct
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````